MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002561VCMIMechanics - Adventure Mappublic2016-10-18 13:152019-06-04 22:26
ReporterDydzio 
Assigned ToDydzio 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7OS VersionHome Premium x64
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002561: Some buildings are treated as invalid, crash when right-clicking on its icon in event window
DescriptionOn certain map, timed event builds few buildings in town. Some of them are named "missing building" when event popup window appears. When right-clicking on picture of "missing building" VCMI client crashes.
Steps To ReproduceLoad provided save and pass a turn. When event window pops up, right-click on building pictures.
TagsNo tags attached.
Attached Filesrar file icon craash.rar [^] (2,277,617 bytes) 2016-10-18 13:15
png file icon bugg.png [^] (701,770 bytes) 2016-10-18 13:23

- Relationships
related to 0003064resolvedDydzio accident when opening the list of cities 

-  Notes
(0006916)
Dydzio (developer)
2016-11-25 09:27

Maybe this is related to CID 1197445?
(0006922)
AVS (administrator)
2016-11-28 01:57

1197445 is about build states but not unknown buildings.
(0007809)
Dydzio (developer)
2019-06-04 20:36

Fixed in: https://github.com/vcmi/vcmi/pull/602 [^]

- Issue History
Date Modified Username Field Change
2016-10-18 13:15 Dydzio New Issue
2016-10-18 13:15 Dydzio File Added: craash.rar
2016-10-18 13:23 Dydzio File Added: bugg.png
2016-11-25 09:27 Dydzio Note Added: 0006916
2016-11-28 01:57 AVS Note Added: 0006922
2019-06-02 18:48 Dydzio Relationship added related to 0003064
2019-06-04 20:35 Dydzio Assigned To => Dydzio
2019-06-04 20:35 Dydzio Status new => assigned
2019-06-04 20:36 Dydzio Note Added: 0007809
2019-06-04 22:26 AVS Status assigned => resolved
2019-06-04 22:26 AVS Fixed in Version => 0.next
2019-06-04 22:26 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean